var MENU;
var myTree;

//计算左面的
$(document).ready(function() {
    // $('#mum_left').perfectScrollbar();
    $('#mum_left').height($(document).height() - 60);
    $('#main_panel').height($(document).height() - 100);
    $('#main_panel_body').height($(document).height() - 170);
    // $('#mum_right .panel').height($(document).height()-100);
    initUserinfo();
    setletftime();
    getServerTime();

    $('#treeMenu').on('click', 'a', function() {
        if ($(this).hasClass("p_m")) { return; }
        $('#treeMenu li.active').removeClass('active');
        $(this).closest('li').addClass('active');
        getPageInfo(this.id)
            // $("#main_content").html(getPageInfo(this.id));
    });


    $('#treeMenu').on('expand.zui.tree', function($li) {
        myTree = $('#treeMenu').data('zui.tree');
        var c_s = myTree.$[0].children

        for (var i = 0; i < c_s.length; i++) {
            if ($(myTree.$[0].children[i]).attr("data-idx") == $li.attr("data-idx")) continue;
            myTree.collapse($(c_s[i]))
        }

        // myTree.expand($li)
    });

    //获取用户信息
    var user = $.zui.store.get("user")
    if (user == null || typeof(user) == "undefined") {
        layer.msg('登陆已经过期，将重新登陆！', {
            time: 2000, //20s后自动关闭
        }, function() {
            self.location = base_ui_url + UI_USER_LOGIN + "?time=" + (Date.parse(new Date()));
        })

        return;
    } else {
        var html = "<i class=\"icon icon-user\"></i>  " + user.truename + " " + user.organname + ",欢迎您"
        $("#user").html(html);
    }

    var offset = "auto";
    if (ISCLIENT) {
        offset = "t";
    }
    $("#login_out_btn").on("click", function() {
        layer.confirm('您确定要退出登录？', {
            offset: offset,
            shade: 0,
            btn: ['确定'] //按钮
        }, function() {
            UserLoginOUT(function() {

                self.location = base_ui_url + UI_USER_LOGIN
            }, function(error) {
                layer.msg(error, { icon: 3 });
            })
        });
    });



    //判断路径中是否包含其他稽查的路径
    var pathName = window.document.location.pathname;
    var mbody = {
        type: 10
    };
    if (pathName.indexOf("fwq") != -1) {
        //服务区稽查
        mbody.type = 20;

    } else if (pathName.indexOf("qzd") != -1) {
        //清障队
        mbody.type = 30;

    } else if (pathName.indexOf("cd") != -1) {
        //车队
        mbody.type = 40;
    } else {
        //收费站
        mbody.type = 10;

    }
    MenuGetAll(function(data) {
        var secondMenus = [];
        //初始化菜单
        var treedata = [];
        for (var i = 0; i < data.length; i++) {
            var menu = data[i];
            console.log(menu);
            var datatemp = {}
            datatemp["html"] = "<a  id=\"" + menu.id + "\" class=\"p_m\" href=\"#\"><i class=\"icon icon-" + menu.iconClass + "\"></i>" + menu.menuname + "</a>";

            datatemp["open"] = false;
            if (menu.childs.length > 0) {
                var datac = [];
                for (var j = 0; j < menu.childs.length; j++) {
                    var datactemp = {}
                    var mtemp = menu.childs[j];
                    datactemp["html"] = "<a id=\"" + mtemp.id + "\" href=\"#\"><i class=\"icon\"></i>" + mtemp.menuname + "</a>";
                    secondMenus.push(mtemp.id);
                    datac.push(datactemp);
                    $.zui.store.set(mtemp.url, mtemp.menuname);
                }
                datatemp["children"] = datac;
            }
            treedata.push(datatemp)

        }
        // 获取 tree 实例
        var myTree = $('#treeMenu').data('zui.tree');
        // 更新数据
        myTree.reload(treedata);
        myTree.collapse();

        MENU = data;
        //首先要获取任务列表页面的下拉参数，然后才能显示页面
        //加载道管中心列表
        getRoadManagerList();
        //加载清障大队列表
        getWreckerGroupList();
        //加载服务区列表
        getServiceAreaList();
        getFeeList(function(data1) {
            getFeePersonList(function(data3) {
                getJobList(function(data2) {
                    //获取当前页
                    var currentpage = 0;
                    var searchid = location.search;
                    if(searchid != null && searchid !=''){
                        var id = searchid.split("=")[1]; 
                           currentpage = id;
                    }else{
                        currentpage = $.zui.store.get("currentpage");
                    }
                    var cexit = false;



                    if (typeof(MENU) != "undefined" && MENU != null) {
                        for (var i = 0; i < MENU.length; i++) {
                            var menu = MENU[i];
                            if (menu.id == currentpage) {
                                cexit = true;
                                break;
                            }
                            if (menu.childs.length > 0) {
                                for (var j = 0; j < menu.childs.length; j++) {
                                    var mtemp = menu.childs[j];
                                    if (mtemp.id == currentpage) {
                                        cexit = true;
                                        break;
                                    }
                                }
                            }
                        }
                    }


                    if (typeof(currentpage) != undefined && currentpage != null && cexit) {
                        //改变页面
                        getPageInfo(currentpage);
                    } else {
                        getPageInfo(secondMenus[0]);
                    }
                });
            });
        });
    }, function(error) {}, mbody);

});

function update_user_info_data() {
    edittype = "update"
    user = $.zui.store.get("user")
    loadUserData(user)
    $('#addUserModal').modal('show')
}

var roles = [];
var zdata = [];

function initUserinfo() {

    getJob();

    RoleGetALLNoData(function(data) {

        roles = [];
        for (var i = 0; i < data.length; i++) {
            var m = data[i];
            var zdataItem = {};
            zdataItem["id"] = m.id;
            zdataItem["title"] = m.des;
            roles.push(zdataItem);
        }
    }, function(error) {

    });

    DeptGetAll(function(data) {
        zdata = [];
        for (var i = 0; i < data.length; i++) {
            var m = data[i];
            var zdataItem = {};
            zdataItem["id"] = m.id;
            zdataItem["value"] = m.id;
            zdataItem["pId"] = null;
            zdataItem["name"] = m.organname;
            zdataItem["open"] = true;
            zdataItem["children"] = addobj_child(m);
            zdata.push(zdataItem);
        }
        // dept_tree = $.fn.zTree.init($("#department_tree"), setting, zdata)
    }, function(error) {

    });

}

function addobj_child(data) {
    var zdata = [];
    if (typeof(data.childs) != "undefined" && data.childs != null &&
        data.childs.length > 0) {
        for (var i = 0; i < data.childs.length; i++) {
            var m = data.childs[i];
            var zdataItem = {};
            zdataItem["id"] = m.id;
            zdataItem["value"] = m.id;
            zdataItem["pId"] = data.id;
            zdataItem["icon"] = "";
            zdataItem["open"] = true;
            zdataItem["name"] = m.organname;
            zdataItem["children"] = addobj_child(m);
            zdata.push(zdataItem);
        }
        return zdata;
    } else {
        return [];
    }
}


function chageToPageUI(menu) {
    $('#treeMenu').tree('expand', $("#" + menu.parentId).parent());
    $('#treeMenu li.active').removeClass('active');
    $("#" + menu.id).closest('li').addClass('active');
}



function setletftime() {
    // var height = window.innerHeight;
    // $("#mum_left").css("min-height", height - 90);
    // if ($("#main").height() > height) {
    //     $("#mum_left").css("min-height", $("#main").height() - 80);
    // }


    setTimeout(setletftime, 100);
}


function getPageInfo(id) {
    //设置当前页面
    $.zui.store.set("currentpage", id);
    if (typeof(MENU) != "undefined" && MENU != null) {
        for (var i = 0; i < MENU.length; i++) {
            var menu = MENU[i];
            if (menu.id == id) {
                if (typeof(menu.url) != "undefined") {
                    // current_mid = menu.id;
                    // alert(current_mid);
                    redirectPage(menu.url);
                    chageToPageUI(menu);
                    return;
                }
                break;
            }
            if (menu.childs.length > 0) {
                for (var j = 0; j < menu.childs.length; j++) {
                    var mtemp = menu.childs[j];
                    if (mtemp.id == id) {
                        if (typeof(mtemp.url) != "undefined") {
                            // current_mid = menu.id;
                            // alert(current_mid);
                            redirectPage(mtemp.url);
                            chageToPageUI(mtemp)
                            return;
                        }
                        break;
                    }
                }
            }

        }
    }
    return $("#main_content").load(base_ui_url + "/view/user/aa.html");


}

var current_url; //当前显示页面url
var current_mid; //当前显示页面id
var isnew = true;


function changePage_temp(url) {
    isnew = false;
    changePage(url);
}

function changePage(url, tableObj) {
    // var pre_param = $.zui.store.get('store_param_'+url);
    // console.log(pre_param);
    if (typeof(url) != "undefined") {
        //记住表格当前页
        if (tableObj) {
            var data_param = $.zui.store.get('store_param_' + current_url);
            if (data_param) data_param.currentpage = tableObj.options.pager.p_cur;
            $.zui.store.set('store_param_' + current_url, data_param);
        }

        CURRENT_PAGE_URL = url;
        var page_params = GetQueryString(url);
        $.zui.store.set("page_params", page_params);
        current_url = url;
        $("#main_content").load(base_ui_url + url);


        var name = $.zui.store.get(url);
        if (name) {
            // $("#breadcrumb_menu").html('<li murl="'+url+'" mname="'+name+'"><a href="#" onclick="changePage('+url+')">'+name+'</a></li>');
            addBreadMenu(url, name, isnew);
        } else {
            var t = url.split("?")[0];
            name = $.zui.store.get(t);

            if (name && page_params["jump"] == 1) {
                addBreadMenu(url, name, isnew);
            }
        }
        isnew = true;
        if (ISCLIENT) {
            event = document.createEvent('MessageEvent');
            var origin = window.location.protocol + '//' + window.location.host;
            event.initMessageEvent('changepage', true, true, CURRENT_PAGE_URL, origin, 1234, window, null);
            document.dispatchEvent(event);
        }
    }
}
//菜单跳转页面
function redirectPage(url) {
    var pre_param = $.zui.store.set('store_param_' + url, null);
    changePage(url);
}
//跳转到最新打开的菜单，并保存上次的请求参数
function redirectLastPage() {
    var currentpage = $.zui.store.get("currentpage");
    if (typeof(MENU) != "undefined" && MENU != null) {
        for (var i = 0; i < MENU.length; i++) {
            var menu = MENU[i];
            if (menu.childs.length > 0) {
                for (var j = 0; j < menu.childs.length; j++) {
                    var mtemp = menu.childs[j];
                    if (mtemp.id == currentpage) {
                        if (typeof(mtemp.url) != "undefined") {
                            changePage(mtemp.url);
                        }
                        break;
                    }
                }
            }
        }
    }
}

function GetQueryString(url) {
    var theRequest = new Object();
    if (url.indexOf("?") != -1) {
        var str = url.split("?")[1];
        strs = str.split("&");
        for (var i = 0; i < strs.length; i++) {
            theRequest[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
        }
    }
    return theRequest;
}

function addBreadMenu(url, name, flag) {
    console.log(flag)
    var menu = hasMenu(url, name, flag);
    if (menu >= 0) {
        // $("#breadcrumb_menu").remove($(menu).nextAll());
        var children = $("#breadcrumb_menu").children("li");
        for (var i = 0; i < children.length; i++) {
            if (i >= menu) {
                $(children[i]).remove();
            }
        }
    }
    if (flag)
        $("#breadcrumb_menu").html('<li murl="' + url + '" mname="' + name + '"><a href="javascript:void(0)" onclick="changePage_temp(\'' + url + '\')"><span>' + name + '</span></a></li>');
    else
        $("#breadcrumb_menu").append('<li murl="' + url + '" mname="' + name + '"><a href="javascript:void(0)" onclick="changePage_temp(\'' + url + '\')"><span>' + name + '</span></a></li>');

    isnew = true;
}

function hasMenu(url, name) {
    var children = $("#breadcrumb_menu").children("li");
    for (var i = 0; i < children.length; i++) {
        if ($(children[i]).attr("murl") == url && $(children[i]).attr("mname") == name) {
            return i;
        }
    }
    return -1;
}